class Input {
    constructor() {
        this.pressedKeys = [];
    }

    initCanvasInput(canvas) {
        canvas.addEventListener('keydown', (event) => { this.pressedKeys[event.code] = true; }, false);
        canvas.addEventListener('keyup', (event) => { this.pressedKeys[event.code] = false; }, false);
    }

    isKeyPressed(key) {
        return this.pressedKeys[key] || false;
    }

    get gamepads() {
        return navigator.getGamepads();
    }

    get primaryGamepad() {
        if (this.gamepads.length > 0) {
            return this.gamepads[0];
        } else {
            return null;
        }
    }

    get primaryGamepadConnected() {
        return (this.primaryGamepad || {}).connected == true;
    }
}

export default Input = new Input();