import PrimitiveRenderer from "./PrimitiveRenderer.js";

export default class CubeRenderer extends PrimitiveRenderer {
    constructor(size=1.0, colors=[1,1,1,1]) {
        super({colors});
        this.size = size;
        this.initCube();
    }

    initCube() {
        const offset = this.size / 2;

        this.vertices = [
            // Front face
            -offset, -offset, offset,
            offset, -offset, offset,
            offset, offset, offset,
            -offset, offset, offset,
            // Back face
            -offset, -offset, -offset,
            -offset, offset, -offset,
            offset, offset, -offset,
            offset, -offset, -offset,
            // Top face
            -offset, offset, -offset,
            -offset, offset, offset,
            offset, offset, offset,
            offset, offset, -offset,
            // Bottom face
            -offset, -offset, -offset,
            offset, -offset, -offset,
            offset, -offset, offset,
            -offset, -offset, offset,
            // Right face
            offset, -offset, -offset,
            offset, offset, -offset,
            offset, offset, offset,
            offset, -offset, offset,
            // Left face
            -offset, -offset, -offset,
            -offset, -offset, offset,
            -offset, offset, offset,
            -offset, offset, -offset,
        ];

        this.indices = [
            0, 1, 2, 0, 2, 3, // front
            4, 5, 6, 4, 6, 7, // back
            8, 9, 10, 8, 10, 11, // top
            12, 13, 14, 12, 14, 15, // bottom
            16, 17, 18, 16, 18, 19, // right
            20, 21, 22, 20, 22, 23, // left
        ];
    }
}