import PrimitiveRenderer from "./PrimitiveRenderer.js";

export default class PlaneRenderer extends PrimitiveRenderer {
    constructor(length=1, width=1, colors=[1, 1, 1, 1]) {
        super({colors});
        this.initShape(length, width);
    }

    initShape(length, width) {
        // set up all corner points
        this.vertices = [
            -length / 2, 0, -width / 2,
            -length / 2, 0, width / 2,
            length / 2, 0, width / 2,
            length / 2, 0, -width / 2,
        ];
        
        // build two tris in CCW order
        this.indices = [
            0, 2, 1,
            0, 3, 2
        ];
    }
}