import Component from "../Component.js";

/**
 * Component for rotation of a GameObject according to the Euler angles
 */
export default class Rotator extends Component {
    constructor({rx=0, ry=0, rz=0}) {
        super();
        this.rx = rx;
        this.ry = ry;
        this.rz = rz;
    }
    

    update(deltaTime) {
        const rotation = this.gameObject.transform.getRotation();
        rotation.x += this.rx * deltaTime;
        rotation.y += this.ry * deltaTime;
        rotation.z += this.rz * deltaTime;

        this.gameObject.transform.setRotation(rotation.x, rotation.y, rotation.z);
    }
}